Summary: op5 trapper addons
Name: op5-trapper-addons
Version: 1.0.1
Release: op5.1
Group: op5/trapper
License: GPLv2
Prefix: /opt/trapper
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: op5-monitor-user
Requires: op5-nagios
Requires: op5-trapper-processor
Requires: op5-httpd
Requires: monitor-nacoma

%package ibm-director
Summary: IBM Director addon for op5 traper
Group: op5/trapper

%description
op5-trapper-addons is a fake package - its spec file is used
to generate varios addons packages for op5 trapper

%description ibm-director
op5-trapper-addons-ibm-director contains the handler that processes traps from 
IBM Director and can map IBM Director host names to op5 Monitor host names via 
nacoma DB.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%prefix/share/addons
mkdir -p -m 755 %buildroot%prefix/share/addons/ibm-director

install -m 644 README %buildroot%prefix/share/addons

cp ibm-director/{README,*.{lua,sh}} %buildroot%prefix/share/addons/ibm-director

mkdir -p %buildroot/opt/monitor/op5/nacoma/hooks/save
ln -s /opt/trapper/share/addons/ibm-director/nacoma-hook.sh %buildroot/opt/monitor/op5/nacoma/hooks/save/op5-trapper-addon-ibm-director

mkdir -p %buildroot/opt/monitor/etc/trapper
cp ibm-director/ibm-director.cfg %buildroot/opt/monitor/etc/trapper

%clean
rm -rf %buildroot

%files
%defattr(-, root, apache)
%prefix/share/addons/README

%files ibm-director
%defattr(644, root, root)
%prefix/share/addons/ibm-director/*.lua
%prefix/share/addons/ibm-director/README
%attr(754, root, apache) /opt/monitor/op5/nacoma/hooks/save/*
%attr(754, root, apache) %prefix/share/addons/ibm-director/*.sh
%attr(664,monitor,apache) /opt/monitor/etc/trapper/ibm-director.cfg

%post ibm-director
touch /opt/monitor/etc/nagios.cfg
service monitor reload
%prefix/bin/traped create handler ibm-director >/dev/null 2>&1
%prefix/bin/traped update ibm-director <%prefix/share/addons/ibm-director/handler.lua
%prefix/bin/traped bind "*" ibm-director
php /opt/monitor/op5/nacoma/api/monitor.php -a undo_config -u monitor
%prefix/share/addons/ibm-director/nacoma-hook.sh
